Debian-Sicherheitsankündigung

DSA-1230-1 l2tpns -- Pufferüberlauf

Datum des Berichts:
08. Dez 2006
Betroffene Pakete:
l2tpns
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 401742.
In Mitres CVE-Verzeichnis: CVE-2006-5873.
Weitere Informationen:

Rhys Kidd entdeckte eine Verwundbarkeit in l2tpns, einem Schicht-2-Tunnel-Protokoll-Netz-Server, die von einem entfernten Benutzer ausgenutzt werden kann, um beliebigen Code auszuführen.

Für die Stable-Distribution (Sarge) wurde dieses Problem in Version 2.0.14-1sarge1 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 2.1.21-1 behoben.

Wir empfehlen Ihnen, Ihr l2tpns-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.1 (sarge)

Quellcode:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1.dsc
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1.diff.gz
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_arm.deb
HPPA:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/l2tpns/l2tpns_2.0.14-1sarge1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.